ranges::views::remove_if_base_fn Struct Reference

## Description

Given a source range, unary predicate, and optional projection, present a view of the elements that do not satisfy the predicate.

Inheritance diagram for ranges::views::remove_if_base_fn:

## Public Member Functions

template<typename Rng , typename Pred >
constexpr auto | operator() (Rng &&rng, Pred pred) const -> remove_if_view< all_t< Rng >, Pred > requires viewable_range< Rng > &&input_range< Rng > &&indirect_unary_predicate< Pred, iterator_t< Rng >>
template<typename Rng , typename Pred , typename Proj >
constexpr auto | operator() (Rng &&rng, Pred pred, Proj proj) const -> remove_if_view< all_t< Rng >, composed< Pred, Proj >> requires viewable_range< Rng > &&input_range< Rng > &&indirect_unary_predicate< Pred, projected< iterator_t< Rng >, Proj >>